drloveless
Industrial
- Jan 22, 2004
- 1
Hi!
I'm french and i make an application with VBA for Autocad.
I need the word to attribute the justification of a multiline to a variable.
PLEASE HELP ME
Dim elem As AcadObject
Dim retCoord As Variant
Dim intN As Long
Dim strMsg As String
Dim strObjectName As String
Dim justification As String
For Each elem In ThisDrawing.ModelSpace
strObjectName = elem.ObjectName
strMsg = ""
Select Case strObjectName
Case Is = "AcDbMline"
retCoord = elem.Coordinates
justification = elem.????????
For intN = LBound(retCoord) To UBound(retCoord) Step 3
strMsg = strMsg & "x: " & retCoord(intN) & " y: " & retCoord(intN + 1) & justif & vbCrLf
Next
MsgBox strMsg, vbInformation, "Multiline Coordinates " & elem.Handle
End Select
Next
Thanck you very much
I'm french and i make an application with VBA for Autocad.
I need the word to attribute the justification of a multiline to a variable.
PLEASE HELP ME
Dim elem As AcadObject
Dim retCoord As Variant
Dim intN As Long
Dim strMsg As String
Dim strObjectName As String
Dim justification As String
For Each elem In ThisDrawing.ModelSpace
strObjectName = elem.ObjectName
strMsg = ""
Select Case strObjectName
Case Is = "AcDbMline"
retCoord = elem.Coordinates
justification = elem.????????
For intN = LBound(retCoord) To UBound(retCoord) Step 3
strMsg = strMsg & "x: " & retCoord(intN) & " y: " & retCoord(intN + 1) & justif & vbCrLf
Next
MsgBox strMsg, vbInformation, "Multiline Coordinates " & elem.Handle
End Select
Next
Thanck you very much